import type { Amount, Token, Type } from '@crypto-dex-sdk/currency';
import type { Fraction } from '@crypto-dex-sdk/math';
/**
 * Create a filter function to apply to a token for whether it matches a particular search query
 * @param search the search query to apply to the token
 */
export declare function createTokenFilterFunction<T extends Token>(search: string): (tokens: T) => boolean;
export declare function filterTokens<T extends Token>(tokens: T[], search: string): T[];
export declare function balanceComparator(balanceA?: Amount<Type>, balanceB?: Amount<Type>): 0 | 1 | -1;
export declare function tokenComparator(balancesMap: Record<string, Amount<Type> | undefined> | undefined, pricesMap: Record<string, Fraction> | undefined): (tokenA: Token, tokenB: Token) => number;
export declare function useSortedTokensByQuery(tokens: Token[] | undefined, searchQuery: string): Token[];
//# sourceMappingURL=useSortedTokensByQuery.d.ts.map